"use client"
import { useState , useEffect} from "react";
import { useDispatch, useSelector } from "react-redux";
import { I18nextProvider } from 'react-i18next';
import i18n from "@/i18n"
import { setLang } from "@/lib/features/selectLanguage/selectLanguage";

function Parent({children}) {
    let lang = useSelector((state)=>state.langSelect.lang)
    const [langUsaged, setLangUsaged] = useState("en")
    const dispatch = useDispatch()

    useEffect(()=>{
        if(localStorage.getItem("lang")){
            setLangUsaged(localStorage.getItem("lang"))
            dispatch(setLang(localStorage.getItem("lang")))
            i18n.changeLanguage(localStorage.getItem("lang"))

        }else{
            setLangUsaged(lang)
        }
    },[lang])
    return ( <I18nextProvider i18n={i18n}>
        <div style={langUsaged == "ar"?{direction:"rtl"}:{direction: "ltr"}}>
        {children}
        </div>
        
    </I18nextProvider> );
}

export default Parent;